> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Address Payments

> Returns a list of transactions associated with the specified address.



## OpenAPI

````yaml /api-reference/data-api.json get /v1/address/payments
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.8
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v1/address/payments:
    get:
      tags:
        - Address Information
      summary: Get Address Payments
      description: Returns a list of transactions associated with the specified address.
      operationId: getAddressPayments
      parameters:
        - name: address
          required: true
          in: query
          description: Address to search
          schema:
            type: string
        - name: network
          required: false
          in: query
          description: Network of Address
          schema:
            default: address
            type: string
        - name: groupBy
          required: false
          in: query
          description: '"address" mode or "entity" mode'
          schema:
            default: address
            type: string
        - name: receiver
          required: false
          in: query
          description: Another address involved in the transaction
          schema:
            type: string
        - name: receiverNetwork
          required: false
          in: query
          description: Network of Another address involved in the transaction
          schema:
            type: string
        - name: startTime
          required: false
          in: query
          description: Start time
          schema:
            type: string
        - name: endTime
          required: false
          in: query
          description: End time
          schema:
            type: string
        - name: msgType
          required: false
          in: query
          description: msg types separated by comma
          schema:
            type: string
        - name: limit
          required: false
          in: query
          description: Number of items to return
          schema:
            default: 50
            type: number
        - name: offset
          required: false
          in: query
          description: Number of items to skip
          schema:
            default: 0
            type: number
        - name: direction
          required: false
          in: query
          description: direction of payment (incoming, outgoing, both)
          schema:
            default: both
            type: string
        - name: sort
          required: false
          in: query
          description: sort order (asc, desc)
          schema:
            default: desc
            type: string
      responses:
        '200':
          description: >-
            Payments associated with a specific address. This includes both
            incoming and outgoing transactions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentsInfo'
components:
  schemas:
    PaymentsInfo:
      type: object
      properties:
        total:
          type: number
        payments:
          type: array
          items:
            $ref: '#/components/schemas/Payment'
      required:
        - total
        - payments
    Payment:
      type: object
      properties:
        id:
          type: string
        time:
          type: string
        denom:
          type: string
        amount:
          type: string
        sender_tx_hash:
          type: string
        sender_entity:
          type: string
        sender_height:
          type: string
        sender_network:
          type: string
        sender_address_id:
          type: string
        sender_address_details:
          $ref: '#/components/schemas/AddressDetails'
        receiver_address_details:
          $ref: '#/components/schemas/AddressDetails'
      required:
        - id
        - time
        - denom
        - amount
        - sender_tx_hash
        - sender_entity
        - sender_height
        - sender_network
        - sender_address_id
    AddressDetails:
      type: object
      properties:
        address:
          type: string
        network:
          type: string
        ecosystem:
          type: string
        name_tag:
          type: string
        category:
          type: string
        address_role:
          type: string
        entity:
          type: string
        attributes:
          type: object
        tags:
          type: array
          items:
            type: string
        entity_icon_url:
          type: string
        malicious:
          type: boolean
        is_validator:
          type: boolean
      required:
        - address
        - network
        - ecosystem
        - malicious
        - is_validator
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````